Get contact
curl --request GET \
--url https://api.telli.com/v2/contacts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telli.com/v2/contacts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telli.com/v2/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "Contact",
"externalId": "<string>",
"externalUrl": "<string>",
"salutation": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"timezoneIana": "<string>",
"email": "<string>",
"autoDialerStatus": "in_dialer",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"properties": [
{
"key": "<string>",
"dataType": "string",
"value": "<unknown>",
"label": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>",
"description": "<string>"
}
]
}
]
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "API key is missing or invalid",
"data": "<unknown>"
}{
"defined": true,
"code": "PAYMENT_REQUIRED",
"status": 402,
"message": "API access requires a paid plan",
"data": "<unknown>"
}{
"defined": true,
"code": "CONTACT_NOT_FOUND",
"status": 404,
"message": "Contact not found",
"data": {
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Kontakt-Endpunkte
Kontakt abrufen
Returns a single contact by ID.
GET
/
v2
/
contacts
/
{id}
Get contact
Autorisierungen
API key authentication. Use your telli API key as the bearer token.
Pfadparameter
Antwort
OK
Whether the contact is currently enrolled in the auto dialer. Matches the status field of the auto_dialer_status_changed webhook.
Verfügbare Optionen:
in_dialer, not_in_dialer Show child attributes
Show child attributes
War diese Seite hilfreich?